Tokenhot
Tokenhot
  1. Wan
  • OpenAI 兼容格式 — 大模型统一调用文档
  • 在线视频体验广场
  • Image Models
    • DOUBAO
      • doubao-seedream-4-0-250828(图片编辑)
      • doubao-seedream-4-5-251128(图片编辑)
      • doubao-seedream-5-0-260128(图片编辑)
      • doubao-seedream-4-0-250828
      • doubao-seedream-4-5-251128
      • doubao-seedream-5-0-260128
    • GPT
      • GPT Image-1.5
      • GPT Image-1.5(图片编辑)
      • GPT Image-2
      • GPT Image-2(图片编辑)
    • Gemini
      • gemini-2.5-flash-image(图片编辑)
      • gemini-3-pro-image-preview(图片编辑)
      • gemini-3.1-flash-image-preview(图片编辑)
      • gemini-2.5-flash-image
      • gemini-3-pro-image-preview
      • gemini-3.1-flash-image-preview
    • Qwen
      • qwen-image-edit-max-2026-01-16
      • qwen-image-max
      • qwen-image-plus-2026-01-09
    • Dall
      • dall-e-2
      • dall-e-3
    • Wan
      • wan2.6-image
        POST
      • wan2.6-image(图片编辑)
        POST
      • wan2.6-t2i
        POST
  • Video Models
    • DOUBAO
      • doubao-seedance-1-5-pro-251215
      • doubao-seedance-1-5-pro-251215(获取视频任务信息)
      • doubao-seedance-2.0
      • doubao-seedance-2.0(获取视频任务信息)
      • doubao-seedance-2.0-V2V
      • doubao-seedance-2.0-V2V(获取视频任务信息)
      • doubao-seedance-2.0-fast
      • doubao-seedance-2.0-fast(获取视频任务信息)
      • doubao-seedance-2.0-fast-V2V
      • doubao-seedance-2.0-fast-V2V(获取视频任务信息)
    • MiniMax
      • MiniMax-Hailuo-02
      • MiniMax-Hailuo-2.3
      • MiniMax-Hailuo-2.3-Fast
      • Hailuo获取视频信息
    • HappyHorse
      • happyhorse-1.0-i2v
      • happyhorse-1.0-r2v
      • happyhorse-1.0-t2v
      • happyhorse-1.0-video-edit
      • HappyHorse获取视频信息
  • Audio Models
    • Gemini
      • gemini-2.5-flash-preview-tts
      • gemini-2.5-pro-preview-tts
    • Whisper
      • whisper-1(音频翻译)
      • whisper-1(音频转中文)
  • Chat Models
    • Claude
      • claude-opus-4-6
      • claude-opus-4-6-cc
      • claude-sonnet-4-5-20250929
    • GPT
      • GPT 5
      • GPT 5(Responses)
      • GPT 5.2
      • GPT 5.2(Responses)
      • GPT 5.4
      • GPT 5.4(Responses)
    • Gemini
      • gemini-2.5-flash
      • gemini-2.5-pro
      • gemini-3-flash-preview
      • gemini-3.1-pro
      • gemini-3.1-pro-preview
      • gemini-3.1-pro-preview(流式)
    • Grok
      • grok-4.1
  • 服务
    • 服务条款
    • 隐私协议
  1. Wan

wan2.6-image

POST
https://api.tokenhot.cn/v1/images/generations
Actual API Endpoint: POST https://api.tokenhot.cn/v1/images/generations
Model Code: wan2.6-image

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🟠400
🟠401
🔴503
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.tokenhot.cn/v1/images/generations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "model": "wan2.6-image",
    "input": {
        "messages": [
            {
                "role": "user",
                "content": [
                    {
                        "text": "参考这张图的构图,生成一张秋天风格的画作"
                    },
                    {
                        "image": "https://cdn.example.com/original_umbrella.png"
                    }
                ]
            }
        ]
    },
    "parameters": {
        "enable_interleave": true,
        "max_images": 1,
        "size": "1024*1024",
        "stream": true
    }
}'
Response Response Example
200 - 成功示例
{
    "output": [
        {
            "type": "message",
            "content": [
                {
                    "type": "text",
                    "text": "为您生成了一张充满春天气息的风景画:樱花盛开在溪水两旁,阳光明媚。"
                },
                {
                    "type": "image",
                    "text": "https://api.wanx.example.com/outputs/cherry_blossom_river_01.png"
                }
            ]
        }
    ],
    "usage": {
        "total_tokens": 1500,
        "input_tokens": 500,
        "input_tokens_details": {
            "cached_tokens": 0
        },
        "output_tokens": 1000,
        "output_tokens_details": {
            "reasoning_tokens": 0
        }
    },
    "request_id": "req_uuid_9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"
}
Modified at 2026-04-22 06:38:36
Previous
dall-e-3
Next
wan2.6-image(图片编辑)
Built with